Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002377graphvizBuild/Installpublic2013-09-29 03:542014-11-27 10:22
ReporterMirraz 
Assigned Toerg 
PrioritylowSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformx86_64OSGentoo linuxOS Version
Summary0002377: Compilation warnings
DescriptionBuilding graphviz-2.28.0 I'v got this compilation warnings:
vmbest.c:438:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:594:7: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:633:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:647:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:648:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:874:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:875:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:1015:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:141:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:146:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:147:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmprivate.c:174:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmstat.c:72:4: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmstat.c:74:4: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
Additional Informationgcc-4.7.3
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTpatch applied to reduce compile warnings
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.28.0
Attached Filespatch file icon graphviz-2.36.0-compilation-warnings.patch (Attachment missing)

- Relationships

-  Notes
User avatar (0000550)
ellson (administrator)
2013-09-29 18:40

Do you get the same errors with the latest stable version of graphviz?

graphviz-2.34
User avatar (0000557)
Mirraz (reporter)
2013-10-05 14:58

Building graphviz-2.34 I'v got absolutely the same messages with 2 addition warnings (implicit-function-declaration):
vmbest.c:438:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:594:7: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:633:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:647:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:648:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:874:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:875:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:1015:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:141:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:146:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:147:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmprivate.c:174:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmstat.c:72:4: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmstat.c:74:4: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
level.c:71:5: warning: implicit declaration of function ‘rank2’ [-Wimplicit-function-declaration]
gvrender_core_pic.c:144:5: warning: implicit declaration of function ‘colorxlate’ [-Wimplicit-function-declaration]
User avatar (0000844)
Mirraz (reporter)
2014-10-17 17:18

graphviz-2.36.0 compilation warnings (by gcc-4.8.3):
sftable.c:153:189: warning: the comparison will always evaluate as ‘true’ for the address of ‘thousand’ will never be NULL [-Waddress]
sfvprintf.c:221:189: warning: the comparison will always evaluate as ‘true’ for the address of ‘thousand’ will never be NULL [-Waddress]
sfvprintf.c:872:189: warning: the comparison will always evaluate as ‘true’ for the address of ‘thousand’ will never be NULL [-Waddress]
sfvprintf.c:915:189: warning: the comparison will always evaluate as ‘true’ for the address of ‘thousand’ will never be NULL [-Waddress]
vmbest.c:438:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:594:7: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:633:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:647:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:648:6: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:874:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:875:3: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmbest.c:1015:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:141:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:146:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmopen.c:147:5: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmprivate.c:174:2: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmstat.c:72:4: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
vmstat.c:74:4: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
level.c:71:5: warning: implicit declaration of function ‘rank2’ [-Wimplicit-function-declaration]
gvrender_core_pic.c:144:5: warning: implicit declaration of function ‘colorxlate’ [-Wimplicit-function-declaration]
User avatar (0000845)
ellson (administrator)
2014-10-17 23:42

Yes, I still see these with the latest development code using gcc-4.8.3 on Fedora 20.

I've been studiously ignoring them ;-)

Would you like to offer a patch?
User avatar (0000846)
Mirraz (reporter)
2014-10-21 02:47

Uploaded patch eliminates "[-Waddress]" and "[-Wimplicit-function-declaration]" warnings.
User avatar (0000847)
ellson (administrator)
2014-10-21 06:27

Patch applied. Many thanks.

- Issue History
Date Modified Username Field Change
2013-09-29 03:54 Mirraz New Issue
2013-09-29 18:40 ellson Note Added: 0000550
2013-10-05 14:58 Mirraz Note Added: 0000557
2014-10-17 17:18 Mirraz Note Added: 0000844
2014-10-17 23:42 ellson Note Added: 0000845
2014-10-21 02:34 Mirraz File Added: graphviz-2.36.0-compilation-warnings.patch
2014-10-21 02:47 Mirraz Note Added: 0000846
2014-10-21 06:27 ellson Note Added: 0000847
2014-11-27 10:22 erg FIX-COMMENT => patch applied to reduce compile warnings
2014-11-27 10:22 erg Status new => resolved
2014-11-27 10:22 erg Resolution open => fixed
2014-11-27 10:22 erg Assigned To => erg


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker